package com.cookbook

import DisplayManager
import MainView
import Orientation
import android.content.res.Configuration
import android.os.Bundle
import androidx.activity.compose.setContent
import androidx.appcompat.app.AppCompatActivity
import androidx.compose.ui.platform.LocalConfiguration
import androidx.compose.ui.unit.Dp
import androidx.compose.ui.unit.dp
import androidx.core.view.WindowCompat

class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        WindowCompat.setDecorFitsSystemWindows(window, true)

        DisplayManager.device = Device.Android

        setContent {

            DisplayManager.size =  when(LocalConfiguration.current.screenWidthDp.dp) {
                in Dp.Hairline .. 600.dp -> Size.Small
                in 601.dp .. 1240.dp -> Size.Medium
                else -> Size.Large
            }

            DisplayManager.orientation = when(LocalConfiguration.current.orientation) {
                Configuration.ORIENTATION_PORTRAIT -> Orientation.Portrait
                Configuration.ORIENTATION_LANDSCAPE -> Orientation.Landscape
                else -> Orientation.Landscape
            }

            MainView()
        }
    }
}