package details

import DisplayManager
import Orientation
import RecipeDetailsLarge
import RecipeDetailsSmall
import androidx.compose.animation.ExperimentalSharedTransitionApi
import androidx.compose.runtime.Composable
import androidx.navigation.NavHostController
import model.Recipe
import sensor.SensorManager

/**
 * Created by abdulbasit on 29/07/2023.
 */

@OptIn(ExperimentalSharedTransitionApi::class)
@Composable
fun RecipeDetails(
    recipe: Recipe,
    goBack: () -> Unit,
    navController: NavHostController,
) {
    if (DisplayManager.size == Size.Large && DisplayManager.orientation == Orientation.Landscape) RecipeDetailsLarge(
        recipe = recipe,
        goBack = goBack,
        navController = navController,
    )
    else RecipeDetailsSmall(
        recipe = recipe,
        goBack = goBack,
        navController = navController,
    )
}